afc_client_new_from_house_arrest_client
house_arrest_client_free
house_arrest_client_new
house_arrest_client_start_service
house_arrest_client_t
house_arrest_error_t
house_arrest_get_result
house_arrest_send_command
house_arrest_send_request
HOUSE_ARREST_SERVICE_NAME

## house_arrest_get_result()

LIBIMOBILEDEVICE_API house_arrest_error_t house_arrest_get_result | ( | house_arrest_client_t | client,
|  | plist_t * | dict )

Retrieves the result of a previously sent house_arrest_request_* request.

Parameters

  client | The house_arrest client to use
  dict | Pointer that will be set to a plist containing the result to the last performed operation. It holds a key 'Status' with the value 'Complete' on success or a key 'Error' with an error description as value. The caller is responsible for freeing the returned plist.

Returns
  HOUSE_ARREST_E_SUCCESS if a result plist was retrieved, HOUSE_ARREST_E_INVALID_ARG if client is invalid, HOUSE_ARREST_E_INVALID_MODE if the client is not in the correct mode, or HOUSE_ARREST_E_CONN_FAILED if a connection error occurred.